Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.sccp
Interface SccpSapMBean

public abstract interface SccpSapMBean
extends SccpManagedObjectMBean

This interface defines a SCCP Access Point (an SCCP Subsystem). This is the Service Access Point (SAP) of the SCCP services to its users and contains the SAP address (the Sub-System number). This SCCP SAP may represent either a:

- a Local Subsystem or
- a Remote Subsystem

The following statistics can be collected for this MBean

- SCCP_UDT_ORIG_CLASS_SSN
- SCCP_UDT_TERM_CLASS_SSN

The following Alarms can be emitted by this MBean

- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED
- SCCP_ALARM_SSN_UNAVAILABLE_FAILURE
- SCCP_ALARM_SSN_UNAVAILABLE_MAINTENANCE
- SCCP_ALARM_SSN_UNAVAILABLE_CONGESTION
- SCCP_ALARM_SSN_AVAILABLE
- SCCP_ALARM_SSN_OOS_GRANT
- SCCP_ALARM_SSN_OOS_DENIED
- SCCP_ALARM_SSN_START_PROHIBITED
- SCCP_ALARM_SSN_END_PROHIBITED
- SCCP_ALARM_SSN_ALLOWED_RX
- SCCP_ALARM_QOS_TOO_LARGE
- SCCP_ALARM_QOS_SEGMENTATION_FAILURE
- SCCP_ALARM_QOS_SSN_UNAVAILABLE
- SCCP_ALARM_QOS_SSN_CONGESTED
- SCCP_ALARM_QOS_SSN_UNEQUIPED
- SCCP_ALARM_QOS_SYNTAX_ERROR

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR

Relationship between the SCCP JAIN OAM MBean

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Field Summary
`static int` | `SCCP_STATUS_ALLOWED` A Subsystem Status constant: The local Subsystem has registered and become Allowed
`static int` | `SCCP_STATUS_PROHIBITED` A Subsystem Status constant: The Subsystem has registered (is equipped) but has not yet become allowed, or is prohibited.
`static int` | `SCCP_STATUS_UNEQUIPPED` A Subsystem Status constant: The Subsystem has not registered to the SCCP layer, the Subsystem has deregistered, or the Subsystem has failed.
`static int` | `STATUS_AVAILABLE` A SCCP SAP Availability Status constant: Indicates that the status of the Access Point is Available.
`static int` | `STATUS_DEGRADED` A SCCP SAP Availability Status constant: Indicates that the status of the Access Point is Congested.
`static int` | `STATUS_UNAVAILABLE` A SCCP SAP Availability Status constant: Indicates that the status of the Access Point is UnAvailable.

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ObjectName` | `getConcernedArea()` Returns the ObjectName of the concerned area to be used by SCCP Management for broadcasting the SCCP status after completion of SCCP Restart.
`ObjectName` | `getMtp3Sap()` Returns the ObjectName of the MTP3 Access Point representing the Signalling Point (MTP) used by this SCCP.
`java.lang.Integer` | `getSapAvailabilityStatus()` Returns the availability status of this SCCP (one of the SCCP SAP Status constants).
`java.lang.Integer` | `getSubsystemNumber()` Gets the Subsystem Number of this SubsystemMBean.
`java.lang.Integer` | `getSubsystemStatus()` Indicates the status of the Local Subsystem.
`void` | `setConcernedArea(ObjectName concernedArea)` Sets the concerned area to be used by SCCP Management for broadcasting the SCCP status after completion of SCCP Restart.
`void` | `setMtp3Sap(ObjectName mtp3Sap)` Sets the MTP3 Access Point representing the Signalling Point (MTP) used by this SCCP.
`void` | `setSubsystemNumber(java.lang.Integer ssn)` Sets the Subsystem Number of this SubsystemMBean.

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Field Detail

### STATUS_AVAILABLE

    public static final int STATUS_AVAILABLE

  A SCCP SAP Availability Status constant: Indicates that the status of the Access Point is Available. This constant has an integer value of 1.

### STATUS_UNAVAILABLE

    public static final int STATUS_UNAVAILABLE

  A SCCP SAP Availability Status constant: Indicates that the status of the Access Point is UnAvailable. This constant has an integer value of 2.

### STATUS_DEGRADED

    public static final int STATUS_DEGRADED

  A SCCP SAP Availability Status constant: Indicates that the status of the Access Point is Congested. This constant has an integer value of 3.

### SCCP_STATUS_ALLOWED

    public static final int SCCP_STATUS_ALLOWED

  A Subsystem Status constant: The local Subsystem has registered and become Allowed

### SCCP_STATUS_PROHIBITED

    public static final int SCCP_STATUS_PROHIBITED

  A Subsystem Status constant: The Subsystem has registered (is equipped) but has not yet become allowed, or is prohibited.

### SCCP_STATUS_UNEQUIPPED

    public static final int SCCP_STATUS_UNEQUIPPED

  A Subsystem Status constant: The Subsystem has not registered to the SCCP layer, the Subsystem has deregistered, or the Subsystem has failed.

Method Detail

### setSubsystemNumber

    public void setSubsystemNumber(java.lang.Integer ssn)

  Sets the Subsystem Number of this SubsystemMBean.
  Throws:
    java.lang.IllegalArgumentException - - if the supplied subsystem number represents an unacceptable value

### getSubsystemNumber

    public java.lang.Integer getSubsystemNumber()

  Gets the Subsystem Number of this SubsystemMBean.

### setMtp3Sap

    public void setMtp3Sap(ObjectName mtp3Sap)

  Sets the MTP3 Access Point representing the Signalling Point (MTP) used by this SCCP.
  Parameters:
    `mtp3Sap` - the ObjectName of the MTP3 Access Point of this SCCP

### getMtp3Sap

    public ObjectName getMtp3Sap()

  Returns the ObjectName of the MTP3 Access Point representing the Signalling Point (MTP) used by this SCCP.
  Returns:
    the ObjectName of the MTP3 Access Point of this SCCP

### setConcernedArea

    public void setConcernedArea(ObjectName concernedArea)

  Sets the concerned area to be used by SCCP Management for broadcasting the SCCP status after completion of SCCP Restart. This concerned area will be used for primary broadcast if this access point is local, and will be used for secondary broadcast if this access point is remote.
  Parameters:
    `concernedArea` - the ObjectName of the concerned area to be used for SCCP broadcast.

### getConcernedArea

    public ObjectName getConcernedArea()

  Returns the ObjectName of the concerned area to be used by SCCP Management for broadcasting the SCCP status after completion of SCCP Restart. This concerned area will be used for primary broadcast if this access point is local, and will be used for secondary broadcast if this access point is remote.
  Returns:
    the ObjectName of the concerned area to be used for SCCP broadcast.

### getSapAvailabilityStatus

    public java.lang.Integer getSapAvailabilityStatus()

  Returns the availability status of this SCCP (one of the SCCP SAP Status constants).
  Returns:
    either:

    - STATUS_AVAILABLE - The Access Point is reachable and functioning normally.
    - STATUS_UNAVAILABLE - The Access Point is not reachable.
    - STATUS_DEGRADED - The Access Point is congested.

### getSubsystemStatus

    public java.lang.Integer getSubsystemStatus()

  Indicates the status of the Local Subsystem. Each SCCP application (Subsystem) registers to the SCCP Layer with a unique Subsystem number. This method indicates the status of that SCCP application (Subsystem).
  Returns:
    either:

    - SCCP_STATUS_ALLOWED - The local Subsystem has registered and become Allowed
    - SCCP_STATUS_PROHIBITED - The Subsystem has registered (is equipped) but has not yet become allowed, or is prohibited.
    - SCCP_STATUS_UNEQUIPPED - The Subsystem has not registered to the SCCP layer, the Subsystem has deregistered, or the Subsystem has failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems